API doc for /api/v2/locations does not mention parents

05/04/2015 09:41 AM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1216232 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1216232

Description of problem:

The API documentation for /api/v2/locations (at https://sat.example.com/apidoc/v2/locations.html) does not make any mention of

parent locations. This is problematic because it is, in fact, possible to associate a location with a parent organization by POSTing to

/api/v2/locations, and also presumably by PUTting to /api/v2/locations/:id.

Version-Release number of selected component (if applicable):

Tested against Satellite-6.1.0-RHEL-6-20150424.0 and Satellite-6.1.0-RHEL-7-20150424.0.

How reproducible:

100%

Steps to Reproduce:

1.Go to https://sat.example.com/apidoc/v2/locations.html. Search for "parent".

Actual results:

No mention of parents.

Expected results:

Mention of the fact that one can associate a location with zero or more parents.

Additional info:

Related issues:

Related to Foreman - Feature #3912: Add ability for locations / organizations... Closed

History

#1 - 05/05/2015 03:53 AM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 05/05/2015 03:53 AM - Dominic Cleal

- Related to Feature #3912: Add ability for locations / organizations to inherit from a parent location / organization added

#3 - 07/04/2019 01:23 PM - Evgeni Golov

- Assignee set to Oleh Fedorenko

#4 - 07/09/2019 12:21 PM - Oleh Fedorenko

- Status changed from New to Closed

Closing, since parent assignment to a location/organization is mentioned in POST/PUT API documentation (which makes sense to have it there).

Parent assignment was introduced by commit: https://github.com/theforeman/foreman/commit/5c028a17ad427dc606cf45be05fc026d5435aadb
https://theforeman.org/api/1.22/apidoc/v2/locations/create.html

https://theforeman.org/api/1.22/apidoc/v2/locations/update.html

https://theforeman.org/api/1.22/apidoc/v2/organizations/create.html

https://theforeman.org/api/1.22/apidoc/v2/organizations/update.html
